Foreman - Bug #32322

Global Registration: Build status gets set to Pending installation when running script from
Registration Tab

04/15/2021 08:08 AM - Leos Stejskal

Status: Closed

Priority: Normal
Assignee: Leos Stejskal
Category: Host registration

Target version:

Difficulty: Fixed in Releases: 3.0.0
Triaged: No Found in Releases:
Bugzilla link: 1921095 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/8448
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1921095

Description of problem:
Build status gets set to Pending installation when running script from Registration Tab.

Version-Release nhumber of selected component (if applicable):
Satellite 6.9

How reproducible:
100%

Steps to Reproduce:

1. Provision host

2. Host has property Build set to Installed
3. Run register from Registration Tab

Actual results:
Build is set to Pending installation

Expected results:
No change to Build status

Additional info:

Associated revisions

Revision fd351866 - 06/01/2021 02:50 PM - Leos Stejskal
Fixes #32322 - Cancel build status when host initial configuration fail (#8448)

History

#1 - 04/15/2021 08:08 AM - Leos Stejskal
- Category set to Host registration

- Assignee set to Leos Stejskal

#2 - 04/15/2021 08:14 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8448 added

#3 - 06/01/2021 02:50 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added
https://bugzilla.redhat.com/show_bug.cgi?id=1921095

#4 - 06/01/2021 03:02 PM - Leos Stejskal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|fd3518662c8455f666341570863b1b285f55a5a1.
